ランタイム: Mix::Dynamics::IStaticMesh Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IStaticMesh Class Referenceabstract

スタティックメッシュインターフェース More...

`#include <IStaticMesh.h>`

Inheritance diagram for Mix::Dynamics::IStaticMesh:
[legend]
Collaboration diagram for Mix::Dynamics::IStaticMesh:
[legend]

## Public Member Functions

virtual UInt32 | GetPartCount (void) const =0
| パート数を取得します More...
virtual UInt32 | GetPolygonCount (UInt32 partIndex) const =0
| ポリゴン数を取得します More...
virtual UInt32 | GetTotalPolygonCount (void) const =0
| 総ポリゴン数を取得します More...
virtual UInt32 | GetMaterialCount (void) const =0
| マテリアル数を取得します More...
virtual UInt32 | GetMaterialIndex (UInt32 partIndex, UInt32 polygonIndex) const =0
| ポリゴンのマテリアルインデックスを取得します More...
virtual Boolean | SetMaterialIndex (UInt32 partIndex, UInt32 polygonIndex, UInt32 materialIndex)=0
| ポリゴンのマテリアルインデックスを設定します More...
virtual UInt32 | LockMaterialIndices (UInt32 partIndex, UInt32 polygonStartIndex, UInt32 polygonCount, UInt32 **ppMaterialIndices) const =0
| ポリゴンのマテリアルインデックス配列を取得します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (UInt32 index) const =0
| マテリアルを取得します More...
virtual Boolean | GetMaterial (UInt32 index, Mix::Dynamics::MATERIAL &material) const =0
| マテリアルを取得します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (UInt32 partIndex, UInt32 polygonIndex) const =0
| マテリアルを取得します More...
virtual Boolean | GetMaterial (UInt32 partIndex, UInt32 polygonIndex, Mix::Dynamics::MATERIAL &material) const =0
| マテリアルを取得します More...
virtual Boolean | SetMaterial (UInt32 index, const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
virtual UInt32 | LockMaterials (UInt32 startIndex, UInt32 count, Mix::Dynamics::MATERIAL **ppMaterials) const =0
| マテリアル配列を取得します More...
Public Member Functions inherited from Mix::Dynamics::IObject
virtual Mix::Dynamics::IObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetShape (Mix::Dynamics::IShape **ppShape)=0
| シェイプを取得します More...
virtual Float32 | GetShapeMargin (void) const =0
| シェイプの衝突マージンを取得します More...
virtual void | SetShapeMargin (Float32 margin)=0
| シェイプの衝突マージンを設定します More...
virtual UInt16 | GetFilterGroup (void) const =0
| フィルターグループを取得します More...
virtual void | SetFilterGroup (UInt16 filterGroup)=0
| フィルターグループを設定します More...
virtual UInt16 | GetFilterMask (void) const =0
| フィルターマスクを取得します More...
virtual void | SetFilterMask (UInt16 filterMask)=0
| フィルターマスクを設定します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (void) const =0
| マテリアルを取得します More...
virtual void | SetMaterial (const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual void | SetWorldRotation (const Mix::Quaternion &rot)=0
| ワールドの回転を設定します More...
virtual void | SetWorldPosition (const Mix::Vector3 &pos)=0
| ワールドの位置を設定します More...
virtual void | SetWorldTransform (const Mix::Quaternion &rot, const Mix::Vector3 &pos)=0
| ワールドトランスフォームを設定します More...
virtual Boolean | IsInWorld (void) const =0
| ワールドに配置されているかどうかを確認します More...
virtual Mix::Geometry::AABB | GetBounds (void) const =0
| 境界を取得します More...
virtual Boolean | AddListener (Mix::Dynamics::IObjectListener *pListener)=0
| リスナーを追加します More...
virtual void | RemoveListener (Mix::Dynamics::IObjectListener *pListener)=0
| リスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
virtual UInt32 | Debug_GetDrawFlags (void) const =0
| デバッグ : 描画フラグを取得します More...
virtual void | Debug_SetDrawFlags (UInt32 flags)=0
| デバッグ : 描画フラグを設定します More...
virtual Float32 | Debug_GetDrawAxisScaling (void) const =0
| デバッグ : 軸を描画する際のを取得します More...
virtual void | Debug_SetDrawAxisScaling (Float32 scaling)=0
| デバッグ : 軸を描画する際のスケールを設定します More...
virtual void | Debug_Draw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer, Float32 opacity=1.0f)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IStaticMesh (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Dynamics::IObject
virtual | ~IObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Dynamics::IObject
enum | TYPE { STATIC_PLANE = 0, STATIC_MESH = 1, RIGIDBODY = 2, SENSOR = 3, KINEMATIC_CHARACTER = 4, VEHICLE = 5 }
| タイプ列挙定数 More...

## Detailed Description

スタティックメッシュインターフェース

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IStaticMesh::~IStaticMesh | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual UInt32 Mix::Dynamics::IStaticMesh::GetPartCount | ( | void |  | ) | const

pure virtual

パート数を取得します

Returns
  パート数を返します

virtual UInt32 Mix::Dynamics::IStaticMesh::GetPolygonCount | ( | UInt32 | partIndex | ) | const

pure virtual

ポリゴン数を取得します

Returns
  ポリゴン数を返します

virtual UInt32 Mix::Dynamics::IStaticMesh::GetTotalPolygonCount | ( | void |  | ) | const

pure virtual

総ポリゴン数を取得します

Returns
  総ポリゴン数を返します

virtual UInt32 Mix::Dynamics::IStaticMesh::GetMaterialCount | ( | void |  | ) | const

pure virtual

マテリアル数を取得します

Returns
  マテリアル数を返します

virtual UInt32 Mix::Dynamics::IStaticMesh::GetMaterialIndex | ( | UInt32 | partIndex,
|  | UInt32 | polygonIndex
| ) |  | const

pure virtual

ポリゴンのマテリアルインデックスを取得します

Parameters

  [in] | partIndex | パートのインデックス
  [in] | polygonIndex | ポリゴンのインデックス

Returns
  ポリゴンのマテリアルインデックスを返します
  指定したポリゴンのインデックスが範囲外の場合は、常に 0xFFFFFFFF を返します

virtual Boolean Mix::Dynamics::IStaticMesh::SetMaterialIndex | ( | UInt32 | partIndex,
|  | UInt32 | polygonIndex,
|  | UInt32 | materialIndex
| ) |  |

pure virtual

ポリゴンのマテリアルインデックスを設定します

Parameters

  [in] | partIndex | パートのインデックス
  [in] | polygonIndex | ポリゴンのインデックス
  [in] | materialIndex | マテリアルのインデックス

Returns
  成功した場合は True を返します

virtual UInt32 Mix::Dynamics::IStaticMesh::LockMaterialIndices | ( | UInt32 | partIndex,
|  | UInt32 | polygonStartIndex,
|  | UInt32 | polygonCount,
|  | UInt32 ** | ppMaterialIndices
| ) |  | const

pure virtual

ポリゴンのマテリアルインデックス配列を取得します

Parameters

  [in] | partIndex | パートのインデックス
  [in] | polygonStartIndex | 取得を開始するポリゴンのインデックス
  [in] | polygonCount | 取得したいポリゴンの数
  [out] | ppMaterialIndices | パートのマテリアルインデックス配列

Returns
  実際に取得した数を返します

virtual const Mix::Dynamics::MATERIAL& Mix::Dynamics::IStaticMesh::GetMaterial | ( | UInt32 | index | ) | const

pure virtual

マテリアルを取得します

Parameters

  [in] | index | マテリアルのインデックス

Returns
  マテリアルを表す Mix::Dynamics::MATERIAL を返します

Note
  インデックスが範囲外の場合は初期値が返されます。

virtual Boolean Mix::Dynamics::IStaticMesh::GetMaterial | ( | UInt32 | index,
|  | Mix::Dynamics::MATERIAL & | material
| ) |  | const

pure virtual

マテリアルを取得します

Parameters

  [in] | index | マテリアルのインデックス
  [out] | material | 取得したマテリアルを渡す

Returns
  取得に成功した場合は True を返します

virtual const Mix::Dynamics::MATERIAL& Mix::Dynamics::IStaticMesh::GetMaterial | ( | UInt32 | partIndex,
|  | UInt32 | polygonIndex
| ) |  | const

pure virtual

マテリアルを取得します

Parameters

  [in] | partIndex | パートのインデックス
  [in] | polygonIndex | ポリゴンのインデックス

Returns
  マテリアルを表す Mix::Dynamics::MATERIAL を返します

Note
  パート、ポリゴンのインデックスが範囲外の場合は初期値が返されます。

virtual Boolean Mix::Dynamics::IStaticMesh::GetMaterial | ( | UInt32 | partIndex,
|  | UInt32 | polygonIndex,
|  | Mix::Dynamics::MATERIAL & | material
| ) |  | const

pure virtual

マテリアルを取得します

Parameters

  [in] | partIndex | パートのインデックス
  [in] | polygonIndex | ポリゴンのインデックス
  [out] | material | 取得したマテリアルを渡す

Returns
  取得に成功した場合は True を返します

virtual Boolean Mix::Dynamics::IStaticMesh::SetMaterial | ( | UInt32 | index,
|  | const Mix::Dynamics::MATERIAL & | material
| ) |  |

pure virtual

マテリアルを設定します

Parameters

  [in] | index | マテリアルのインデックス
  [in] | material | 設定するマテリアルを表す Mix::Dynamics::MATERIAL 構造体

Returns
  成功した場合は True を返します

virtual UInt32 Mix::Dynamics::IStaticMesh::LockMaterials | ( | UInt32 | startIndex,
|  | UInt32 | count,
|  | Mix::Dynamics::MATERIAL ** | ppMaterials
| ) |  | const

pure virtual

マテリアル配列を取得します

Parameters

  [in] | startIndex | 取得を開始するインデックス
  [in] | count | 取得したい数
  [out] | ppMaterials | 取得したマテリアル配列を渡す Mix::Dynamics::MATERIAL 構造体のポインタのアドレス

Returns
  実際に取得した数を返します

The documentation for this class was generated from the following file:

- Mix/Dynamics/IStaticMesh.h